<template>
	<div class="pc-scenes">
		<div class="title flex items-center justify-between">
			<div class="flex item-center">
				<span>应用场景</span>
			</div>
			<div class="cursor-pointer">
				<el-button link class="changeBatch"
					>查看更多
					<el-icon>
						<ArrowRight />
					</el-icon>
				</el-button>
			</div>
		</div>

		<div class="main">
			<div
				class="main_item flex cursor-pointer"
				v-for="(item, index) in state.applicationScenarios"
				:key="item.ID"
				:class="{ main_item_active: item.ID === state.scenariosIndex }"
				@click="changeScenarios(item)"
			>
				<div :class="['iconfont icon-' + item.Icon]"></div>

				<div class="right">
					<h4>{{ item.Title }}</h4>
					<p>{{ item.Content }}</p>
				</div>
			</div>
		</div>
	</div>
</template>

<script setup lang="ts">
import { reactive } from 'vue';
let state = reactive({
	applicationScenarios: [
		{
			ID: 1,
			Icon: 'biaodan',
			Title: '行业知识库',
			Content: '张三打了李四一巴掌,李四对张三说:"你是不是没吃饭",李四说这句话含义是?',
		},
		{
			ID: 2,
			Icon: 'putong',
			Title: '生产调度',
			Content: '怎么解释努力和内卷的区别?',
		},
		{
			ID: 3,
			Icon: 'zhongduancanshuchaxun',
			Title: '水产生产',
			Content: '请搜索你想知道的问题',
		},
		{
			ID: 4,
			Icon: 'tuichuquanping',
			Title: '管网运行',
			Content: '请以诗经中的典故给男宝宝取名，姓顾，名字要求3个字，给5个名字供我选择。',
		},
	],
	scenariosIndex: 0,
});
const changeScenarios = (item) => {
	state.scenariosIndex = item.ID;
};
</script>
<style scoped lang="scss">
.pc-scenes {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	margin-top: 24px;
	width: 760px;
	padding: 0;
	font-size: 14px;

	.title {
		color: #999;
		line-height: 14px;

		.split {
			height: 12px;
			width: 2px;
			background-color: #ccc;
			margin: 0 10px;
		}

		span {
			color: rgb(32, 33, 35);
			font-size: 14px;
		}

		.changeBatch {
			color: #999;
			font-size: 12px;
			transition: color 0.2s ease-in-out;
		}

		.change {
			color: #999;
			transition: color 0.2s ease-in-out;
		}
	}

	.main {
		margin-top: 12px;
		width: 100%;
		border-radius: 5px;
		border: 1px solid #d9dbde;
		display: flex;
		padding: 8px;
		flex-wrap: wrap;

		&_item {
			width: 50%;
			border-radius: 5px;
			padding: 18px 12px;
			-webkit-transition: background-color 0.1s ease-in-out;
			-o-transition: background-color 0.1s ease-in-out;
			transition: background-color 0.1s ease-in-out;
			position: relative;
			img {
				width: 16px;
				height: 16px;
				border: none;
			}
			.left {
				width: 50px;
				height: 50px;
				border-radius: 5px;
			}

			.color0 {
				background: linear-gradient(180deg, #f63c8b, #fd216c);
			}

			.color1 {
				background: linear-gradient(180deg, #0ebfe1, #0ab2d3);
			}

			.color2 {
				background: linear-gradient(180deg, #9647fe, #7b5be8);
			}

			.color3 {
				background: linear-gradient(180deg, #fb894c, #ff7958);
			}

			.right {
				flex: 1;
				min-width: 0;
				margin-left: 12px;

				h4 {
					color: #202123;
					font-size: 13px;
					font-weight: 500;
					height: 16px;
					transition: background-color 0.2s;
				}

				p {
					font-size: 12px;
					margin-top: 6px;
					height: 34px;
					line-height: 17px;
					color: #8d8e99;
					overflow: hidden;
					-o-text-overflow: ellipsis;
					text-overflow: ellipsis;
					-webkit-line-clamp: 2;
					-webkit-box-orient: vertical;
				}
			}
		}
		&_item_active {
			background-color: #ebeef3;
			.right {
				h4 {
					color: #007aff;
				}
			}
		}
	}
}
</style>
